petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscClassIdRegister

Registers a new class name for objects and logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscClassIdRegister(const char name[],PetscClassId *oclass)

Not Collective Many br

### Input Parameter

name -The class name Many br

### Output Parameter

oclass -The class id or classid Many br

Many br

### Keywords

log, class, register

Level:developer
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html